#
# This is the spec file for Digi Port Authority - Remote
#

Summary:	Digi Port Authority - Remote (DPAR) package for Linux 
Name:		digidpar
Version:	3.03.46
Release:	0
Copyright:	GPL
Group:		Applications/Internet
Source:		digidpar-3.03.46.tgz
# the URL should point to the documentation for the package
URL:		www.digi.com
Distribution:	Digi digidpar
Vendor:		Digi International
Packager:	Dick Libby <dick_libby@digi.com>
BuildRoot:	/var/tmp/%{name}-buildroot
ExclusiveArch:	i386 i486 i586 i686 i786 i886 i986 alpha
AutoReqProv:	no

%description
40002188_G	- driver source package
SME_NOTES_LINUX	- release notes (/usr/doc/digidpar-3.03.46/release_notes.html)
92000308_A	- software manual

History:
v0.1r1	- first release

%prep
%setup -n digidpar-3.03.46

if [ "$RPM_BUILD_ROOT" = "/" ]
then
	echo This package requires a seperate BuildRoot to build properly.
	exit 1
fi

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
cd sme
make install
DG_MACHINE=`uname -m`
if [ "$DG_MACHINE" = "alpha" ]
then
        DG_REMOVE=linux-intel
else 
        DG_REMOVE=linux-alpha
fi
rm -rf ${RPM_BUILD_ROOT}/opt/dg/tcl-tk8.3.2/${DG_REMOVE}

#
# in the post-install phase, we need to 
#
%post
ln -sf /opt/dg/sme/dparemote /usr/bin/dparemote
if ( [ -d /usr/man ] )
then
	install -m 0755 -d /usr/man/man8
	ln -sf /opt/dg/sme/management/docs/dparemote.8 /usr/man/man8/dparemote.8
elif ( [ -d /usr/share/man ] )
then
	install -m 0755 -d /usr/share/man/man8
	ln -sf /opt/dg/sme/management/docs/dparemote.8 /usr/share/man/man8/dparemote.8
fi

#
# in the pre-uninstall phase, we need to tell the system
# that we are going to delete our scripts in /etc/rc.d/init.d/
#
%preun
rm -f /usr/bin/dparemote
rm -f /usr/man/man8/dparemote.8

%files
# this should be a list of files contained in the package
#
# this file gets stored in the RPM/docs directory 
#
# The README file as documentation
%doc sme/README
# 
# This does all the rest
#
/opt/dg

